-- File Name    : register64.pat
-- Description  : test pattern for register 64 bit
-- Author       : Sigit Dewantoro
-- Date         : July 11th, 2001

-- input / output list :
in       vdd B;;;
in       vss B;;;
in       a (62 downto 0) X;;;
in       rst B;;;
in       en B;;;
out      b (62 downto 0) X;;;

begin

-- Pattern description :

--                        v  v  a                 r  e   b
--                        d  s                    s  n
--                        d  s                    t


-- Beware : unprocessed patterns

<          0 ns> pat_0  : 1  0  0000000000000000  0  0  ?****************  ;
<          1 ns>        : 1  0  000000007fe70659  0  1  ?****************  ;
<          2 ns>        : 1  0  000000000010a62a  1  0  ?****************  ;
<          3 ns>        : 1  0  000000004c11c21e  1  1  ?****************  ;
<          4 ns>        : 1  0  000000005ad2006e  0  0  ?****************  ;
<          5 ns>        : 1  0  000000003cc58b11  0  1  ?****************  ;
<          6 ns>        : 1  0  00000000177c5093  1  0  ?****************  ;
<          7 ns>        : 1  0  0000000013baa9bd  1  1  ?****************  ;
<          8 ns>        : 1  0  0000000010f83891  0  0  ?****************  ;
<          9 ns>        : 1  0  00000000402f18c0  0  1  ?****************  ;
<         10 ns>        : 1  0  000000007e1cfa76  1  0  ?****************  ;
<         11 ns>        : 1  0  0000000041770cd3  1  1  ?****************  ;
<         12 ns>        : 1  0  000000002ba28874  0  0  ?****************  ;
<         13 ns>        : 1  0  000000004541719c  0  1  ?****************  ;
<         14 ns>        : 1  0  0000000030e3490e  1  0  ?****************  ;
<         15 ns>        : 1  0  000000007032891e  1  1  ?****************  ;
<         16 ns>        : 1  0  0000000014a5a3c0  0  0  ?****************  ;
<         17 ns>        : 1  0  000000007e5d7254  0  1  ?****************  ;
<         18 ns>        : 1  0  000000000026e823  1  0  ?****************  ;
<         19 ns>        : 1  0  000000007fe57cdf  1  1  ?****************  ;
<         20 ns>        : 1  0  00000000605bdbad  0  0  ?****************  ;
<         21 ns>        : 1  0  00000000647e9a16  0  1  ?****************  ;
<         22 ns>        : 1  0  000000003172604d  1  0  ?****************  ;
<         23 ns>        : 1  0  0000000066432e69  1  1  ?****************  ;
<         24 ns>        : 1  0  000000006ba65aca  0  0  ?****************  ;
<         25 ns>        : 1  0  000000004f2e7bc1  0  1  ?****************  ;
<         26 ns>        : 1  0  0000000057622fbf  1  0  ?****************  ;
<         27 ns>        : 1  0  00000000194f1179  1  1  ?****************  ;
<         28 ns>        : 1  0  00000000510015dd  0  0  ?****************  ;
<         29 ns>        : 1  0  000000005831f229  0  1  ?****************  ;
<         30 ns>        : 1  0  0000000056ff1ee3  1  0  ?****************  ;
<         31 ns>        : 1  0  00000000448c8a08  1  1  ?****************  ;
<         32 ns>        : 1  0  000000005818f883  0  0  ?****************  ;
<         33 ns>        : 1  0  00000000570fc50d  0  1  ?****************  ;
<         34 ns>        : 1  0  00000000109e4c26  1  0  ?****************  ;
<         35 ns>        : 1  0  0000000032eaf8f1  1  1  ?****************  ;
<         36 ns>        : 1  0  0000000013d5501f  0  0  ?****************  ;
<         37 ns>        : 1  0  00000000281a9cb9  0  1  ?****************  ;
<         38 ns>        : 1  0  0000000046a5a2ae  1  0  ?****************  ;
<         39 ns>        : 1  0  0000000024cd88b0  1  1  ?****************  ;
<         40 ns>        : 1  0  000000006849b57a  0  0  ?****************  ;
<         41 ns>        : 1  0  0000000044c29d24  0  1  ?****************  ;
<         42 ns>        : 1  0  0000000066449583  1  0  ?****************  ;
<         43 ns>        : 1  0  0000000013ec3dee  1  1  ?****************  ;
<         44 ns>        : 1  0  000000000a040ec0  0  0  ?****************  ;
<         45 ns>        : 1  0  000000001727de92  0  1  ?****************  ;
<         46 ns>        : 1  0  00000000041ec70c  1  0  ?****************  ;
<         47 ns>        : 1  0  000000001ea9b280  1  1  ?****************  ;
<         48 ns>        : 1  0  00000000158550e6  0  0  ?****************  ;
<         49 ns>        : 1  0  000000000445af2f  0  1  ?****************  ;
<         50 ns>        : 1  0  000000001e8f2f5f  1  0  ?****************  ;
<         51 ns>        : 1  0  0000000075e12c93  1  1  ?****************  ;
<         52 ns>        : 1  0  0000000068c44945  0  0  ?****************  ;
<         53 ns>        : 1  0  0000000050018fac  0  1  ?****************  ;
<         54 ns>        : 1  0  000000005c245afc  1  0  ?****************  ;
<         55 ns>        : 1  0  00000000546aa40f  1  1  ?****************  ;
<         56 ns>        : 1  0  000000001f300b6d  0  0  ?****************  ;
<         57 ns>        : 1  0  0000000033868abb  0  1  ?****************  ;
<         58 ns>        : 1  0  000000006db9b588  1  0  ?****************  ;
<         59 ns>        : 1  0  000000007030214a  1  1  ?****************  ;
<         60 ns>        : 1  0  000000000bb87ce5  0  0  ?****************  ;
<         61 ns>        : 1  0  0000000044b8d46c  0  1  ?****************  ;
<         62 ns>        : 1  0  0000000034bcab53  1  0  ?****************  ;
<         63 ns>        : 1  0  0000000063d17568  1  1  ?****************  ;
<         64 ns>        : 1  0  000000001bc89979  0  0  ?****************  ;
<         65 ns>        : 1  0  00000000455af779  0  1  ?****************  ;
<         66 ns>        : 1  0  0000000016bc6e59  1  0  ?****************  ;
<         67 ns>        : 1  0  000000002f9de998  1  1  ?****************  ;
<         68 ns>        : 1  0  000000006d759433  0  0  ?****************  ;
<         69 ns>        : 1  0  000000005d621107  0  1  ?****************  ;
<         70 ns>        : 1  0  00000000546b7249  1  0  ?****************  ;
<         71 ns>        : 1  0  0000000055bf49ad  1  1  ?****************  ;
<         72 ns>        : 1  0  000000002224ae2b  0  0  ?****************  ;
<         73 ns>        : 1  0  000000003ab007cc  0  1  ?****************  ;
<         74 ns>        : 1  0  0000000069ab879b  1  0  ?****************  ;
<         75 ns>        : 1  0  000000002c28bceb  1  1  ?****************  ;
<         76 ns>        : 1  0  0000000051d7e65e  0  0  ?****************  ;
<         77 ns>        : 1  0  000000006dca4ea7  0  1  ?****************  ;
<         78 ns>        : 1  0  000000004ad26f6b  1  0  ?****************  ;
<         79 ns>        : 1  0  00000000675d3744  1  1  ?****************  ;
<         80 ns>        : 1  0  00000000720ffdd6  0  0  ?****************  ;
<         81 ns>        : 1  0  0000000069619eca  0  1  ?****************  ;
<         82 ns>        : 1  0  000000005d3e63d7  1  0  ?****************  ;
<         83 ns>        : 1  0  000000005ad4471b  1  1  ?****************  ;
<         84 ns>        : 1  0  0000000039632e77  0  0  ?****************  ;
<         85 ns>        : 1  0  000000003962bed4  0  1  ?****************  ;
<         86 ns>        : 1  0  000000002f3eeb2b  1  0  ?****************  ;
<         87 ns>        : 1  0  00000000589339e4  1  1  ?****************  ;
<         88 ns>        : 1  0  000000006ce9498f  0  0  ?****************  ;
<         89 ns>        : 1  0  000000001cf8a0b3  0  1  ?****************  ;
<         90 ns>        : 1  0  0000000048c35b2f  1  0  ?****************  ;
<         91 ns>        : 1  0  0000000078a1c674  1  1  ?****************  ;
<         92 ns>        : 1  0  0000000061b1751f  0  0  ?****************  ;
<         93 ns>        : 1  0  000000007d800682  0  1  ?****************  ;
<         94 ns>        : 1  0  000000005c733bdc  1  0  ?****************  ;
<         95 ns>        : 1  0  000000007d7a0e99  1  1  ?****************  ;
<         96 ns>        : 1  0  0000000042dafdfb  0  0  ?****************  ;
<         97 ns>        : 1  0  00000000732faa35  0  1  ?****************  ;
<         98 ns>        : 1  0  000000002d17f831  1  0  ?****************  ;
<         99 ns>        : 1  0  000000003050922e  1  1  ?****************  ;
<        100 ns>        : 1  0  000000005091bb3c  0  0  ?****************  ;
<        101 ns>        : 1  0  0000000001836a7a  0  1  ?****************  ;
<        102 ns>        : 1  0  00000000060fdbdb  1  0  ?****************  ;
<        103 ns>        : 1  0  0000000072b66967  1  1  ?****************  ;
<        104 ns>        : 1  0  000000003c337247  0  0  ?****************  ;
<        105 ns>        : 1  0  000000006fbb6376  0  1  ?****************  ;
<        106 ns>        : 1  0  000000001edf2652  1  0  ?****************  ;
<        107 ns>        : 1  0  000000000e0b58a5  1  1  ?****************  ;
<        108 ns>        : 1  0  000000005d85b21d  0  0  ?****************  ;
<        109 ns>        : 1  0  0000000069b195bd  0  1  ?****************  ;
<        110 ns>        : 1  0  0000000075688fea  1  0  ?****************  ;
<        111 ns>        : 1  0  000000004f95aff3  1  1  ?****************  ;
<        112 ns>        : 1  0  0000000053133488  0  0  ?****************  ;
<        113 ns>        : 1  0  0000000052a6f3c1  0  1  ?****************  ;
<        114 ns>        : 1  0  000000002a69f70f  1  0  ?****************  ;
<        115 ns>        : 1  0  000000000c7662ff  1  1  ?****************  ;
<        116 ns>        : 1  0  000000000c09b295  0  0  ?****************  ;
<        117 ns>        : 1  0  0000000059a8e23a  0  1  ?****************  ;
<        118 ns>        : 1  0  0000000065099ce3  1  0  ?****************  ;
<        119 ns>        : 1  0  0000000078f2fc25  1  1  ?****************  ;
<        120 ns>        : 1  0  0000000076a182ed  0  0  ?****************  ;
<        121 ns>        : 1  0  000000002dccf812  0  1  ?****************  ;
<        122 ns>        : 1  0  000000007194c299  1  0  ?****************  ;
<        123 ns>        : 1  0  000000005852f80d  1  1  ?****************  ;
<        124 ns>        : 1  0  000000002b4cfe94  0  0  ?****************  ;
<        125 ns>        : 1  0  000000004e07fe76  0  1  ?****************  ;
<        126 ns>        : 1  0  0000000055cd06a6  1  0  ?****************  ;
<        127 ns>        : 1  0  000000006e27fc90  1  1  ?****************  ;
<        128 ns>        : 1  0  000000004137a8ab  0  0  ?****************  ;
<        129 ns>        : 1  0  0000000002e4fed7  0  1  ?****************  ;
<        130 ns>        : 1  0  000000001e788ebe  1  0  ?****************  ;
<        131 ns>        : 1  0  0000000011c963e8  1  1  ?****************  ;
<        132 ns>        : 1  0  0000000000000000  0  0  ?****************  ;

end;
